# Generated from rdeis-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rdeis

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Gem to controll deployment on Deis
License: MIT
URL: https://github.com/charlesmarshall/deis_deploy/tree/0.1.1
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
BuildArch: noarch

%description
Gem to controll deployment on Deis .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/rdeis
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/bin
%{gem_instdir}/gemconversion
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/rdeis.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.1-1
- Initial package
